# Copyright (c) 2018, Crisco Technologies and contributors
# License: MIT. See LICENSE

import criscostack
from criscostack.model.document import Document


class ViewLog(Document):
	# begin: auto-generated types
	# This code is auto-generated. Do not modify anything in this block.

	from typing import TYPE_CHECKING

	if TYPE_CHECKING:
		from criscostack.types import DF

		reference_doctype: DF.Link | None
		reference_name: DF.DynamicLink | None
		viewed_by: DF.Data | None
	# end: auto-generated types
	@staticmethod
	def clear_old_logs(days=180):
		from criscostack.query_builder import Interval
		from criscostack.query_builder.functions import Now

		table = criscostack.qb.DocType("View Log")
		criscostack.db.delete(table, filters=(table.modified < (Now() - Interval(days=days))))
