criscostack.pages["backups"].on_page_load = function (wrapper) {
	var page = criscostack.ui.make_app_page({
		parent: wrapper,
		title: __("Download Backups"),
		single_column: true,
	});

	page.add_inner_button(__("Set Number of Backups"), function () {
		criscostack.set_route("Form", "System Settings");
	});

	page.add_inner_button(__("Download Files Backup"), function () {
		criscostack.call({
			method: "criscostack.desk.page.backups.backups.schedule_files_backup",
			args: { user_email: criscostack.session.user_email },
		});
	});

	page.add_inner_button(__("Get Backup Encryption Key"), function () {
		if (criscostack.user.has_role("System Manager")) {
			criscostack.verify_password(function () {
				criscostack.call({
					method: "criscostack.utils.backups.get_backup_encryption_key",
					callback: function (r) {
						criscostack.msgprint({
							title: __("Backup Encryption Key"),
							message: __(r.message),
							indicator: "blue",
						});
					},
				});
			});
		} else {
			criscostack.msgprint({
				title: __("Error"),
				message: __("System Manager privileges required."),
				indicator: "red",
			});
		}
	});

	criscostack.breadcrumbs.add("Setup");

	$(criscostack.render_template("backups")).appendTo(page.body.addClass("no-border"));
};
